From 3b24763d15945c8683caab40af872516f7f258a0 Mon Sep 17 00:00:00 2001
From: Caleb JA <skywise@tutanota.de>
Date: Sun, 7 Jul 2019 16:03:44 -0400
Subject: [PATCH 1/2] New package: oilshell-0.6.0

---
 srcpkgs/oilshell/template | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 srcpkgs/oilshell/template

diff --git a/srcpkgs/oilshell/template b/srcpkgs/oilshell/template
new file mode 100644
index 00000000000..11b14b7c856
--- /dev/null
+++ b/srcpkgs/oilshell/template
@@ -0,0 +1,38 @@
+# Template file for 'oilshell'
+pkgname=oilshell
+version=0.6.0
+revision=1
+archs="x86_64*"
+wrksrc=oil-${version}
+build_style=configure
+configure_args="--prefix=/usr --with-readline"
+makedepends="readline-devel"
+short_desc="Oil, a new unix shell"
+maintainer="Caleb JA <skywise@tutanota.de>"
+license="Apache-2.0"
+homepage="https://www.oilshell.org"
+distfiles="${homepage}/download/oil-${version}.tar.xz"
+checksum=141e3a5c1997a696d65747966978aaa38921d77e303aad9e77b4ab4aedab84b7
+register_shell="/usr/bin/osh"
+nostrip=yes
+
+pre_build() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+}
+
+do_install() {
+	# Remove the strip wrapper
+	rm -f "${XBPS_WRAPPERDIR}"/strip
+
+	# Install binaries
+	vbin _bin/oil.ovm
+	# Symlink osh, oshc to oil.ovm.
+	cd "${DESTDIR}"/usr/bin
+	ln -s oil.ovm osh
+	ln -s oil.ovm oshc
+}
+
+post_install() {
+	vlicense LICENSE.txt
+}
\ No newline at end of file

From 5dfd93d2415cb57ac4479f7f2e129c3a60084d92 Mon Sep 17 00:00:00 2001
From: Wychmire <12383901+Wychmire@users.noreply.github.com>
Date: Sun, 7 Jul 2019 21:30:27 -0400
Subject: [PATCH 2/2] use nocross instead of specifying arch

---
 srcpkgs/oilshell/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/oilshell/template b/srcpkgs/oilshell/template
index 11b14b7c856..8c74dd0aee1 100644
--- a/srcpkgs/oilshell/template
+++ b/srcpkgs/oilshell/template
@@ -2,7 +2,6 @@
 pkgname=oilshell
 version=0.6.0
 revision=1
-archs="x86_64*"
 wrksrc=oil-${version}
 build_style=configure
 configure_args="--prefix=/usr --with-readline"
@@ -15,6 +14,7 @@ distfiles="${homepage}/download/oil-${version}.tar.xz"
 checksum=141e3a5c1997a696d65747966978aaa38921d77e303aad9e77b4ab4aedab84b7
 register_shell="/usr/bin/osh"
 nostrip=yes
+nocross="oilshell is nocross"
 
 pre_build() {
 	# Remove the strip wrapper
@@ -35,4 +35,4 @@ do_install() {
 
 post_install() {
 	vlicense LICENSE.txt
-}
\ No newline at end of file
+}
